package com.fr.plugins.dsgroup;

import com.fr.design.DesignModelAdapter;
import com.fr.design.actions.server.GlobalTableDataAction;
import com.fr.design.data.BasicTableDataTreePane;
import com.fr.design.data.datapane.TableDataPaneController;
import com.fr.design.fun.impl.AbstractTDPaneProcessor;
import com.fr.design.menu.ShortCut;
import com.fr.general.GeneralUtils;
import com.fr.stable.ProductConstants;


/**
 * Created by phetran_ye on 2018/8/8.
 */
public class TableDataPaneProcessorImpl extends AbstractTDPaneProcessor {
    @Override
    public BasicTableDataTreePane createTableDataTreePane(DesignModelAdapter<?, ?> tc) {
        return GroupTableDataTreePane.getInstance(tc);
    }

    @Override
    public TableDataPaneController createServerTableDataPane(DesignModelAdapter<?, ?> tc) {
        return new GroupTableDataPaneListPane();
    }

    @Override
    public ShortCut createServerTDAction() {
        return new GlobalTableDataAction();
    }

    @Override
    public int currentAPILevel() {
        return CURRENT_LEVEL;
    }

}
