package com.fr.plugins.dsgroup.rpc;

import com.fr.module.StableKey;
import com.fr.stable.fun.impl.AbstractStableKeyArgsProvider;
import com.fr.workspace.base.WorkspaceKey;
import com.fr.workspace.pool.WorkRPCRegister;

import java.util.Arrays;
import java.util.List;

/**
 * @author phetran_ye
 * 2022-04-20
 */
public class GroupStableKeyArgsProvider extends AbstractStableKeyArgsProvider<WorkRPCRegister<?>>{
    @Override
    protected List<WorkRPCRegister<?>> createArgs() {
        return Arrays.asList( WorkRPCRegister.wrap(GroupTableDataOperator.class, GroupTableDataOperatorImpl.getInstance()) );
    }

    @Override
    public StableKey<WorkRPCRegister<?>> getKey() {
        return WorkspaceKey.RPC;
    }
}
